<?php
/*
Plugin Name: ISBN昆布 images(ISBNConv images)
Plugin URI: https://www.dogustat.com/?p=11163
Description: ISBN:表記をリンクに変換します。
Author: 土偶
Version: 1.2.202206260
Author URI: https://www.dogustat.com/?p=11163
*/



//ISBNを変換
add_filter('the_content','asinConvFilter');

	function asinConvFilter($contentData){

		//amazon-ID
		$amazonid = 'dogustatcom-22'; 
		
		//この文字列がエントリー内にあると変換しない \ はエスケープ記号
		$NoConvStr='\[NoConvISBN\]';

		//convert strings
		//
		//回り込みあり表記
		$convary[0] = 'ISBN:';
		$convary[1] = 'ISBN-10:';
		$convary[2] = 'ASIN:';
		$convary[3] = 'dp\/:';

		//回り込みなし表記
		$convary_s[0] = 'SISBN:';
		$convary_s[1] = 'SISBN-10:';
		$convary_s[2] = 'SASIN:';
		$convary_s[3] = 'sdp\/:';


		//select mode 
		$mode="img"; //image tag mode
//		$mode = "iframe";//iframe mode

		//変換しない文字列があるかどうかをチェックして変換モードにするかどうかを決める。
		$convMode='true';
		if( preg_match ("/$NoConvStr/",$contentData ) ){
				$convMode='false';
		}
		

		
		if($mode=="img"){ //image tag mode
			$convptn ='<a href="https://www.amazon.co.jp/dp/$1/ref=nosim?tag='.$amazonid.'" target="_blank" rel="nofollow"><img src="https://images-fe.ssl-images-amazon.com/images/P/$1.09.MZZZZZZZ.jpg" height="160" alt="amazon ASIN-$1" target="_blank"/></a>';
			$convptn_s ='<a href="https://www.amazon.co.jp/dp/$1/ref=nosim?tag='.$amazonid.'" target="_blank" rel="nofollow"><img src="https://images-fe.ssl-images-amazon.com/images/P/$1.09.MZZZZZZZ.jpg" height="160" alt="amazon ASIN-$1" target="_blank"/></a><br />';
		}
		elseif($mode=="iframe"){ //iframe mode 
			

			$convptn_s	 = "<iframe src=\"https://rcm-fe.amazon-adsystem.com/e/cm?ref=tf_til&t=$amazonid&m=amazon&o=9&p=8&l=as1&IS2=1&detail=1&asins=$1&bc1=ffffff&lt1=_blank&fc1=333333&lc1=0066c0&bg1=ffffff&f=ifr\" style=\"width:120px;height:240px;\" scrolling=\"no\" marginwidth=\"0\" marginheight=\"0\" frameborder=\"0\"></iframe>";
			$convptn	 = "<iframe src=\"https://rcm-fe.amazon-adsystem.com/e/cm?ref=tf_til&t=$amazonid&m=amazon&o=9&p=8&l=as1&IS2=1&detail=1&asins=$1&bc1=ffffff&lt1=_blank&fc1=333333&lc1=0066c0&bg1=ffffff&f=ifr\" style=\"width:120px;height:240px;\" scrolling=\"no\" marginwidth=\"0\" marginheight=\"0\" frameborder=\"0\" align=\"left\"></iframe>";
		}
		else{
			$convptn ='$0';
		};

		

		if($convMode=='true'){
			foreach($convary_s as $key => $value){
				$contentData = preg_replace("/{$value}\s?([0-9a-zA-Z]+)\s?/",$convptn_s, $contentData);
			}

			foreach($convary as $key => $value){
				$contentData = preg_replace("/{$value}\s?([0-9a-zA-Z]+)\s?/",$convptn, $contentData);

			}
		}
		else{

			$contentData = preg_replace("/$NoConvStr/",'', $contentData,1);

		}
	


	return $contentData;

	}

?>
